curl --request GET \
--url https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get an SLO
Get an SLO by ID.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug or use __all__ for endpoints that support environment-wide operations.
Unique identifier (ID) of the SLO.
Query Parameters
Allows SLO reporting data (status, burn_rate, budget_remaining and compliance) to be returned when retrieving a single SLO.
This feature is available as part of the Honeycomb Enterprise plan.
Note: burn_rate is calculated based on the last 4 hours of data.
Response
Success
- Option 1
- Option 2
The name of the SLO.
1 - 120"My SLO"
Reference to the Calculated Field used as the indicator of event success.
Show child attributes
Show child attributes
{ "alias": "error_sli" }
The time period, in days, over which the SLO will be evaluated.
x >= 130
The number of events out of one million (1,000,000) that you expected qualified events to succeed.
0 <= x <= 999999990000
A nice description of the SLO's intent and context.
1023"SLO to ensure requests succeed and are fast"
A list of key-value pairs to help identify the SLO.
10Show child attributes
Show child attributes
[{ "key": "team", "value": "blue" }]
The ISO8601-formatted time the SLO was last reset. The value will be null if the SLO has not yet been reset.
"2022-011-11T09:53:04Z"
The ISO8601-formatted time when the SLO was created.
"2022-09-22T17:32:11Z"
The ISO8601-formatted time when the SLO was updated.
"2022-10-31T15:08:11Z"
The dataset(s) the SLO will be evaluated against. Required if using __all__ in the path.
1 - 10 elements["mydataset1", "mydataset2"]